Subject: Re: bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: João Távora <[email-masked]>
Date: Wed, 30 Jun 2021 17:58:10 +0100

On Wed, Jun 30, 2021 at 5:55 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Wed, 30 Jun 2021 17:50:03 +0100
> > Cc: Stefan Monnier <[email-masked]>, [email-masked]
> >
> > On Wed, Jun 30, 2021 at 5:47 PM Eli Zaretskii <[email-masked]> wrote:
> > >
> > > > From: Stefan Monnier <[email-masked]>
> > > > Cc: [email-masked],  [email-masked]
> > > > Date: Wed, 30 Jun 2021 12:37:24 -0400
> > > >
> > > > > If they are similar enough, there's no need for such special places in
> > > > > the code.
> > > >
> > > > But then the "and other similar Foos" should be added to all our major
> > > > modes, since that's also true for them.  E.g. how 'bout:
> > > >
> > > >     @@ -2608,7 +2608,7 @@ c-c-menu
> > > >
> > > >      ;;;###autoload
> > > >      (define-derived-mode c-mode prog-mode "C"
> > > >     -  "Major mode for editing C code.
> > > >     +  "Major mode for editing C code and other similar languages.
> > >
> > > I don't mind.
> >
> > Come on, don't do this.
>
> I'm not doing anything.  I was asked a question, and I answered it.

Sure, and I just volunteered my objection to the idea.

Anyway, if you want to close this bug, I think I'm good
(it could be a little more accurate, but I'm fine with
the results now).

-- 
João Távora